ICC-4c C# SDK

Public Member Functions | List of all members
ICC4cPwmSdk.Device.IDeviceEeprom Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IDeviceEeprom:

## Public Member Functions
void | SetBytes (EChannel channel, int index, byte[] inputBytes)
| Sets EEPROM bytes of the product. More...
byte[] | GetBytes (EChannel channel, int index, int length)
| Returns EEPROM bytes of the product. More...
int | GetEepromVersion (EChannel channel)
| Returns EEPROM version. More...
int | GetEepromSubVersion (EChannel channel)
| Returns EEPROM subversion. More...
int | GetPartConfiguration (EChannel channel)
| Returns part configuration value. More...
int | GetPartConfigurationVersion (EChannel channel)
| Returns part configuration version value. More...
float | GetMaxPositiveCurrent (EChannel channel)
| Returns max positive current. More...
float | GetMaxNegativeCurrent (EChannel channel)
| Returns max negative current. More...
int | GetOqcResult (EChannel channel)
| Returns OQC result of the device. More...
uint | GetProductionTimeStamp (EChannel channel)
| Returns production time stamp of the device. More...
void | LockDeviceEepromWriting (EChannel channel)
| Locks device EEPROM writing. More...
void | UnlockDeviceEepromWriting (EChannel channel)
| Unlocks device EEPROM writing. More...
void | ReparseDeviceEeprom (EChannel channel)
| Reparse device EEPROM. More...
int | GetDeviceEepromSize (EChannel channel)
| Returns EEPROM size of the device. More...

## Member Function Documentation

## ◆ GetBytes()

byte [] ICC4cPwmSdk.Device.IDeviceEeprom.GetBytes | ( | EChannel | channel,
|  | int | index,
|  | int | length
| ) |  |

Returns EEPROM bytes of the product.

Parameters

  index | Index of the start
  length | Amount of Get bytes

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetDeviceEepromSize()

int ICC4cPwmSdk.Device.IDeviceEeprom.GetDeviceEepromSize | ( | EChannel | channel | ) |

Returns EEPROM size of the device.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetEepromSubVersion()

int ICC4cPwmSdk.Device.IDeviceEeprom.GetEepromSubVersion | ( | EChannel | channel | ) |

Returns EEPROM subversion.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetEepromVersion()

int ICC4cPwmSdk.Device.IDeviceEeprom.GetEepromVersion | ( | EChannel | channel | ) |

Returns EEPROM version.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetMaxNegativeCurrent()

float ICC4cPwmSdk.Device.IDeviceEeprom.GetMaxNegativeCurrent | ( | EChannel | channel | ) |

Returns max negative current.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetMaxPositiveCurrent()

float ICC4cPwmSdk.Device.IDeviceEeprom.GetMaxPositiveCurrent | ( | EChannel | channel | ) |

Returns max positive current.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetOqcResult()

int ICC4cPwmSdk.Device.IDeviceEeprom.GetOqcResult | ( | EChannel | channel | ) |

Returns OQC result of the device.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetPartConfiguration()

int ICC4cPwmSdk.Device.IDeviceEeprom.GetPartConfiguration | ( | EChannel | channel | ) |

Returns part configuration value.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetPartConfigurationVersion()

int ICC4cPwmSdk.Device.IDeviceEeprom.GetPartConfigurationVersion | ( | EChannel | channel | ) |

Returns part configuration version value.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetProductionTimeStamp()

uint ICC4cPwmSdk.Device.IDeviceEeprom.GetProductionTimeStamp | ( | EChannel | channel | ) |

Returns production time stamp of the device.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ LockDeviceEepromWriting()

void ICC4cPwmSdk.Device.IDeviceEeprom.LockDeviceEepromWriting | ( | EChannel | channel | ) |

Locks device EEPROM writing.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ ReparseDeviceEeprom()

void ICC4cPwmSdk.Device.IDeviceEeprom.ReparseDeviceEeprom | ( | EChannel | channel | ) |

Reparse device EEPROM.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetBytes()

void ICC4cPwmSdk.Device.IDeviceEeprom.SetBytes | ( | EChannel | channel,
|  | int | index,
|  | byte[] | inputBytes
| ) |  |

Sets EEPROM bytes of the product.

Parameters

  index | Index of the start
  inputBytes | Bytes to be set
  channel |

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ UnlockDeviceEepromWriting()

void ICC4cPwmSdk.Device.IDeviceEeprom.UnlockDeviceEepromWriting | ( | EChannel | channel | ) |

Unlocks device EEPROM writing.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- Device/ICC4cPwmSdkDeviceController.cs